import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RteComponent implements OnInit, AfterViewInit {
    inputControl: FormControl;
    editor: ElementRef;
    instance: any;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDef<RteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<RteComponent, "ins-rte", never, { "inputControl": "inputControl"; }, {}, never, never>;
}
